RedSn0w receives major update with new restoring features

By , Oct 13, 2012

The iPhone Dev-Team has released a significant update for its popular jailbreak utility known as RedSn0w tonight. The update brings the software to version 0.9.15b1, and includes a number of new features.

A4 device owners will be happy to hear that Cydia is now included in the tethered iOS 6 jailbreak, so no more SSH work, and you can now restore devices to earlier firmware without the lengthy stitching process.

We’ve got the full change log after the break…

From the Dev-Team’s blog:

  • Restore from any 5.x iOS to any other (up, down or the same) 5.x iOS on all devices as long as you have the correct blobs (see more below)
  • Cydia now included in the tethered 6.0 jailbreak on A4 devices
  • Automatically “Just Boot” tethered when qualifying A4 device connects in DFU mode
  • Untethered 6.0 jailbreak on old-bootrom 3GS
  • Untethered 6.0 hactivation on any 3GS or iPhone4
  • Directly restore pre-A5 devices to earlier firmware — no more complicated 15-step how-to’s with stitching, iTunes errors, and “hosts file” concerns
  • Fetch new signed blobs for any IPSW (present or future — no redsn0w update required) using Extras > SHSH Blobs > New
  • Block the BB update for any 3GS or iPhone4 restore (past, present, or future — no redsn0w update required) using Extras > Even More > Restore
  • Deactivate any iPhone, useful for testing your “official” unlock status through iTunes.  (Please only deactivate your own iPhone!)
  • Activation status shown on “Even more” page
  • Significantly more (very nerdy) info returned by “Identify” button when device is in Normal mode
  • Tethered jailbreak of ATV2 supported (but the only thing available for it is the SSH2 custom bundle available here — no Cydia yet.  Must use “Select IPSW” for tethered boot of ATV2 for now).
  • Auto-exit WTF mode for older devices with broken buttons
  • Any time a set of blobs is fetched remotely (from Apple or Cydia), redsn0w also saves them locally (and will check there first if you click “Local”)
  • For your future restoring convenience, you should also submit all of your past and present TinyUmbrella blobs to Cydia if you haven’t done so yet.  Resubmitting is okay and won’t cause conflicts.

And as for those iOS 5 restores on A5+ devices:

1. Redsn0w now lets you restore an A5+ device from any iOS5 to any other iOS5 as long as you have correct 5.x blobs for the starting (current) and ending points of the restore

  • APtickets eliminated “higher-version only” comparison of firmware restores (just like BBtickets did for the baseband)
  • example restores supported by redsn0w if you have the correct blobs: 5.1.1-to-5.0.1, 5.0.1-to-5.1.1, 5.1.1-to-5.1.1, 5.0.1-to-5.0.1
  • if you don’t have the blobs locally, let redsn0w try to fetch them remotely (redsn0w always tries both Apple and Cydia).  Any succesful remote fetch also saves a local copy too.

2. You DO NOT QUALIFY for iOS5-to-iOS5 restores if you got to your current 5.x via an OTA update

  • the tickets saved by Cydia, redsn0w, and TinyUmbrella do not cover OTA update ramdisk images
  • even if they did, it’s the “wrong kind” of ramdisk (you’d need to start at that earlier pre-OTA FW)
  • devices fresh from factory or refurb may fall in the “does not qualify” category (your results will vary)
  • it’s okay if you previously got to 5.x via an OTA update, as long as your current 5.x was installed via a normal iTunes restore.  All that matters is how you got to your current 5.x most recently
  • redsn0w detects an OTA/normal-restore APticket mismatch very early, so if you don’t know your status there should be no harm in trying.  Any device in recovery mode after such a mismatch can boot normally again just by going back to “Even More” screen from the “Restore” screen (or use “Recovery Fix” if you quit redsn0w before doing that).

3. Unlike the A4 devices, redsn0w can’t (usefully) prevent the baseband updates of A5+ iPhones and iPads.

  • and so, redsn0w automatically flashes the currently signed baseband when it does A5+ restores, even if those basebands didn’t come with the original firmware
  • stay away from this if you have an unofficial unlock that isn’t supported by the newest baseband
  • the least-tested baseband update code in redsn0w is for iPad2,3 and iPad3,2.  Please give any feedback on those iOS5 restores in the comments section below.

4. iPad2 owners (all three models) with saved 4.x blobs can use those instead, even from 6.x

  • if you have both 4.x and 5.x iPad2 blobs, you can always get to 5.x via the 4.x blobs, even if you’re currently on 6.x
  • you cannot get to 5.x from 6.x without the 4.x blobs (but you may still qualify for the iOS5-to-iOS5 restore described above)
  • if somehow you have 4.x blobs but no 5.x blobs, you can still go down to 4.x from 6.x
  • this only applies to iPad2 owners (they’re the only A5+ devices that ever had a public 4.x FW)
  • redsn0w still supports (but doesn’t require) jailbreaking A5+ devices at 5.0.1 and 5.1.1.  Just head back to the first page after re-restoring to 5.x.  It’s always much faster to jailbreak those FW versions with a freshly-restored device, before letting iTunes restore from a saved userland backup.

We realize that this is a lot of information to take in, but rest assured that we’ll be covering the major features in greater detail soon. And Jeff should be along anytime now with his signature video tutorials.

Also remember that the iOS 6 jailbreak is still very much in beta, and isn’t ready yet for many devices. If you have questions on that, click here to read our post on the state of the iOS 6 jailbreak. It should help.

If you are looking to jailbreak iOS 6, we do have a step-by-step guide on how to do it. And as always, you can find the latest version of RedSn0w both PC and Mac computers in our Downloads Section.

Stay tuned.

  • Share:
  • Follow:
  • http://www.facebook.com/profile.php?id=1368694057 Jean Claude Tohme

    Finally. I thank the devs for working hard to get a stable Cydia for iOS 6 and hacktivation. We really appreciate your hard work guys.

    • Fred

      Ummmm. What is hactivation?

      • Kurt

        You joking?

      • JomanJi

        lol no I don’t thing so, cuz I’ve ben jailbreaking since 08 and never heard about hactivation…

      • http://www.iTechBlog.in/ taran

        when you don’t have the original sim card of a locked iphone, you got to hacyivate it…in short activating your iphone through itunes without a Sim card.:)

      • JomanJi

        oh, thanx!

      • Kurt

        it by passes that activation needed in iTunes (not sure if its needed now that we don’t need a computer post ios 5.0). not exactly sure how it works but i believe it has to do with getting your phone to the springboard so you can use the phone if you are not going to use the carrier the phone is locked to. so if you sim doesn’t match you can’t use you phone. but i’m not 100% but i’m sure someone else can explain it better.

      • JomanJi

        it’s fine, thanx :)

      • Kok Hean

        And it doesn’t activate push notifications the last time I used it.

      • http://twitter.com/MCaudebec Maxim∑

        yeah SAM (Subscriber Artificial Module) will fix that

  • http://www.iTechBlog.in/ taran

    Does ultrasnow work on 3gs..??…and does SAM work on ios 6..!!…plz answer it iDb..:)

    • http://twitter.com/big_ibby Big Ibby

      yep!SAM works on ios 6 (i4 & i4s) just use iFile or iTools to put the lockdown folder

      • http://www.iTechBlog.in/ taran

        So i should save the lockdown folder and after upgrading just paste it through ifile again..??..and my push notifications will work..??…

    • http://www.facebook.com/profile.php?id=100000749663021 Kevin Schmidt

      Restored SAM worked for me already with the old RedSn0w version. I installed nothing, no SSH so no Cydia… nothing but the restored Lockdown-Folder so I don’t have to boot tethered. So now I just have a normal iPhone like without a Jailbreak but a working SIM-Card. Try it out! :) I have an iPhone 4.

      • Alex

        can i upgrade my iphone 4 from iOS 5.1.1 to iOS 6 without update baseband? i use Gevey sim card unlock

      • http://www.facebook.com/people/Kénitrio-Di-Ariani/100001142550279 Kénitrio Di Ariani

        i was trying to do so , but i was faced with unexpected error i was not the only one , nd i had to restore back to ios 5.1.1 wait a little bit more and see if there is a way to fix this issue

      • http://www.facebook.com/profile.php?id=100000749663021 Kevin Schmidt

        That’s why I don’t like Gevey. I had use it before the SAM-Unlock.

      • http://www.facebook.com/profile.php?id=768339664 Aleksandar Kojić

        Can this be confirmed by anyone else? It seams kind of strange for me, although…

      • Rodolfo Galdamez

        I did it too, use redsnow 0913dev4, I am not interested in cydia right now, just use my iphone 4 with my local carrier, and this tool helped me a lot!

  • http://www.facebook.com/melanyapa Melan M Yapa

    Can I use my Gevey on iPhone 4 with this new JB?

    • http://twitter.com/tayyabsa Tayyab Sadiq

      No, it doesn’t work yet

    • http://www.facebook.com/people/Kénitrio-Di-Ariani/100001142550279 Kénitrio Di Ariani

      it depends ; if you have one of theses baseband 1.59.00, 2.10.04, 3.10.01, 4.10.01 in ur iphone now , you will have to upgrade to ios 6 with the preserving baseband methode

  • ConcheroBR

    WOW

  • http://www.facebook.com/xxLIUZHENYUxx Liu Zhenyu

    ‘Exit WTF mode’???

    • Guest

      The line with error was, ‘If you did not Update to iOS 5.1.1 (-_-)”
      Backup your data using iTunes, not iCloud.
      After that, locate your backup on your computer.
      For Windows, it’s at “C:/Documents and Settings/[USERNAME]/Application Data/Apple Computer/MobileSync/Backup”. For Mac, it’s “~/Library/Application Support/MobileSync/Backup”
      Locate your latest backup and search for the info.plist file. Edit it with a text editor and look for this string: Product Version
      Change 5.1 or 5.1.1 to 5.0.1 and save.
      You can now restore to this backup on 5.0.1.’

      • http://www.facebook.com/xxLIUZHENYUxx Liu Zhenyu

        Did you copy something wrongly from another post? o.O|||

  • http://twitter.com/iDara09 Dara

    I’ll wait Jeff’s video. ;)

  • http://twitter.com/soharbz sohrabz

    please find something for A5 Ios 6 downgrade

  • http://www.facebook.com/duque.daniel117 Daniel Duque

    I HATE SSH WORK

  • http://www.facebook.com/profile.php?id=1021178743 Marnix Robyns

    “Untethered 6.0 hactivation on any 3GS or iPhone4″ untethered jailbreak ?

    • http://www.facebook.com/living4angel Pankaj Rana

      Same confusion here :( ?

    • ReanimationXP

      No.

  • http://www.facebook.com/sgote4u Shubham Gote

    Very Awesome Dev Team !!!

  • hellac00l

    FN cool, Keep up the good work Musclenerd. The most fun I had jb my 4S was the ability to up/downgrade the fw’s

  • http://www.facebook.com/profile.php?id=1328808990 Bhuvan Kalra

    I really want something to downgrade my iPad 3 from iOS 6 to 5.1.1 :(
    I want cydia back!

  • http://www.facebook.com/xiaobabymilo Milo Peng

    how to downgrade from ios6 to ios5?

  • Aman

    What exactly is “Untethered Hacktivation”?

    • http://www.facebook.com/people/Kénitrio-Di-Ariani/100001142550279 Kénitrio Di Ariani

      as far as i know is almost the same principle as the tethered and untethered Jailbreak , but in this case it concerns the activation.

  • hellac00l

    Hacktivation is when you need to get into your phone after a new ios install and you have no sim. ios will usually ask you to activate the phone by 2-3 methods i think.. by carrier or by itunes or wifi but it w/o that you are stuck outside of ios. hacktivating could posssibly disable needed ios features though but thats what it did in the past. I never had to do it because I always had a sim.

  • Al-Nibras

    can I downgrade my iPhone 4s from 6.0 to 5.11?

  • Alex

    can i make custom firmware without update baseband for iOS 6? somepeople try ???

    • http://www.facebook.com/people/Kénitrio-Di-Ariani/100001142550279 Kénitrio Di Ariani

      yes many people tried to do so ( for iphone 4 ) but no luck , we will wait fo a fix from the dev’s team

  • Metroview

    SON OF A BITCH! I JUST updated my old 4S to iOS 6 then got on this site to see what’s new, only to see that the version of Redsn0w I was waiting for was released. Goddammit….

    • ap3604

      LoL

      I feel your pain buddy :(

      I was thinking of updating as well but figured I should wait one more day. Glad I did :D

      • John Jackolo

        SAME :( IM WAITING FOR THEM TO RELEASE AN A5 DOWNGRADE GOD BLESS THEM!!!!!

      • Abdullah Ibrahim

        desperate here for the same !! i hate my Ipad 2 , and it never had ios 4.x on it . still hoping ..

    • Phil Woods

      I don’t understand why Apple doesn’t allow iOS downgrades. If I don’t like iOS 6 and find out that it makes my device extremely slow, then I should have the option to downgrade rather than be stuck with it.

      • ReanimationXP

        It’s so Miley Cyrus can’t downgrade back to 5.0 citing “HURR I LIEK GUGLE MEPS BETAR”, open herself up to multiple attack vectors, then call Apple when her phone gets insta-hacked and all her nudes leak. For non-celebs, drastically reduces support costs forcing customers to always be on the latest firmware.

        I agree it’s bullshit, but you asked why it’s there.

    • http://www.facebook.com/antman217 Anthony Antunez

      Always save your shsh blobs.

    • soccerkrzy

      lol, exactly the same for me.

  • Sohail

    Thanks AlOt…………………!!!
    Your the best Dev, but I still have an ipad 3 running iOS 6 “Jailed”.

  • iphone attunlock

    All iphone unlock from AT&T. Just works! 20$ or money back – Paypal only
    att.phone.unlock24h@gmail.com

  • http://www.facebook.com/profile.php?id=1665532713 Donavan Asmawidjaja

    How to hacktivate?

    • http://www.facebook.com/people/Kénitrio-Di-Ariani/100001142550279 Kénitrio Di Ariani

      if you are stock in the pre menu ( the one that let you choose ur language , use of icloud system and activation etc …) and u have no original sim card to activate ur phone , u will than have to hacktivate it using the last redsn0w version

      • waleed LA

        he asked HOW -_-

      • http://www.facebook.com/jawn.weedbix Sandy Cook

        And he answered REDSNOW (o-_-o)

  • disqus_MMaIxbvwtG

    I’m still waitng on the JB for the iPhone5 I don’t really care if its tethered or not as long as I can cydia on the phone. Just wanna put my tweaks back on the phone. This FaceTime over cellular AT&T makes u upgrade to there bullshit plans. I’m not losing my unlimited data for that trash

  • http://twitter.com/imapolyglot imapolyglot

    I was trying to fetch my ios 6 shsh blob using this latest version of redsn0w but it says iPhone 4S not yet supported. This phone was bought with ios 5.1.1 pre-installed and it’s still on ios 5.1.1. This was never restored yet on itunes. So i guess my question is: can i already save ios 6 blob using redsn0w 0.9.15b1?

    • http://twitter.com/oneBurge Burge

      Use tinyumbrella to get blobs

    • http://www.facebook.com/CMak70 Chris McOmber

      Don’t go to IOS6 on your 4s unless you want to stay there for a long time. There is no way back yet, just stay on 5.1.1 and keep your Jailbreak.

  • http://twitter.com/KayAppleseed Kay Appleseed

    I updated iPad 3 coz of my greed to use siri and now am stuck with nothing but that siri bitch..
    so sad that redsnow does not supports ipad 3 downgrade
    God damn it….

  • http://twitter.com/Jason_Gagne Jason Gagne

    Ok .. I’ve tried using Redsn0w 0.9.15b several times and Cydia doesn’t seem to install. I’ve even tried booting using redsn0w and still doesn’t show up on the device. IPSW used is iPhone3,1_6.0_10A403_Restore, but I’ve also tried iPhone3,2_6.0_10A403_Restore.

    Any ideas?

    In fact, when I use iFunbox, I can’t even SSH into the device. Says that SSH wasn’t installed.

    • http://twitter.com/Jason_Gagne Jason Gagne

      Ok .. I rebooted a few more times and it seemed to have worked! Let’s hope I can get most of my tweeks back

  • http://twitter.com/michaelhernandy michael hernandy :)

    I’m new to jailbreaking, whats “Untethered 6.0 jailbreak on old-bootrom 3GS” mean?

    • http://twitter.com/oneBurge Burge

      The first 3GS that Apple sold had the same bootrom that the 3G had, Apple then put a new bootrom into the 3GS . If you got a old bootrom 3GS then your jailbreak is untethered.. If you just got a new 3GS then you will have the new bootrom.. In fact any 8gig 3GS will have a new bootrom. so that rules out them for the old bootrom.. If you load up redsnow there is more info about how to work out what bootrom you have..

  • waleed LA

    Couldn’t restore
    unexpected error(2601) :( no bb update ios6 :/ it dosnt works for me

    • costasfromgreece

      check update baseband

  • http://www.facebook.com/frank9000 Francesco Suarez

    so i re-restore iphone 4s 5.1.1 withe the bb 3.0.14 (or whatever) but no i cant use the redsn0w to jalbreak :(

  • http://www.facebook.com/abraham.utrera Abraham Utrera

    So my iPhone 3GS oldbootrom is also untethered on iOS 6. Awesome!

  • http://twitter.com/jgrenard1 James Grenard

    Jailbreak went fine, but no Cydia.

  • http://twitter.com/tciitb TheCatIsInTheBag

    i couldnt find the deactivaction button >.<

    edit: select ipswd, then jailbreak and the deactivatebutton will be there!

  • http://www.facebook.com/igor.peixotoassad Igor Peixoto Assad

    anyone help me,my mobile substrate don’t work after the restore from backup

  • Leonardo Osorio

    To many people need Jailbrake iphones 4 whit baseband 04.12.01, can i jailbrake that whit this version? and work in this baseband? i need use T-mobile services. thanks

  • soccerkrzy

    Wow, literally 24 hours too late as I updated my iPhone 4S to iOS6 to sell it and confirmed it was unlocked. Wanted to go from 5.0.1 to 5.1.1, but despite trying everything and wasting several hours, couldn’t get it to do it. Oh well.

  • http://www.facebook.com/rodel.rufo Rodel Rufo

    I didn’t update to 6, my iPhone is still on 5.0.1. I only want to update to 5.1.1. I will appreciate it if someone guide me how do I go about this using Redsn0w 0.9.15b1?

  • Jeremiah

    Guys help me please, my ipad 2 hasnt jailbreak, since 5.x and it is currently running on ios 6. i want to activate it so i can use it properly, i stuck at activation process and it says: “Your ipad could not be activated because teh activation server cannot be reached. Try connecting your ipad to itunes to activate it, or try again in a couple of minutes”. i will do anything just to fix this.

  • http://twitter.com/jay_kakilala jay s. kakilala

    pls help using redsnw 0.9.15b1 preserving method im stuck into recovery mode.. already try to get out recovery but nothing happen..pls my idevice hang in this situation.tnx!

    • http://www.facebook.com/people/Kénitrio-Di-Ariani/100001142550279 Kénitrio Di Ariani

      need more information about ur device , the shsh blobs u have either locally or in cydia’s servers ?

  • http://twitter.com/aybo101 aybo101

    How can we use iOS hacktivation feature ? Which section

  • John Wayne

    This is fucking bull shiite you cant jailbreak anything woooow what a fuuucking scam now i have to restore all the shit i lost fuck u ass holes

  • adrorodri

    Can I update from ios 4.1 to ios 5.x now that ios 6.0.1 is out? I mean, using that restore ipsw option…

  • Dory

    Wen I browse and specify iPod4,1_5.0.1_9A405_Restore.ipsw firmware , redsnow cant recognize it. Why?